Subject: Re: bug#99: Acknowledgement (devuan-installer: the installed devuan system is not fully accessible)

From: Gregory Nowak <[email-masked]>
Date: Wed, 25 Mar 2020 20:49:23 -0700

I'm updating this bug as promised. I'm leaving out the promised log
file though, since I figured out a solution to the first issue, and
Mark provided the solution to the second lightdm issue in the dng
thread I linked to previously.

1. The first issue was that orca didn't speak on the lightdm login
   screen on a fresh install, but does speak on my regular install
   which is Ascii upgraded to Beowulf. In the fresh install, on a
   hunch, I ran:

apt-get purge lightdm lightdm-gtk-greeter

That removed lightdm, lightdm-gtk-greeter, and task-mate-desktop. It
also brought in some xterm packages. I than ran:

apt-get install lightdm lightdm-gtk-greeter task-mate-desktop

which installed those three packages, and removed the xterm packages
which were installed when I purged the lightdm packages earlier.

I than rebooted, and got speech from orca at the login screen. I won't
pretend to know why purging the lightdm packages and installing them
again works. Oh, I almost forgot. In order for orca to speak at the
lightdm login screen, the user lightdm needs to be added to the audio
group, which it isn't on a fresh install right now.

2. The other issue is that after logging in from lightdm, orca didn't
   come up, and couldn't connect to accessibility bus errors were
   logged. The solution Mark pointed to is to set

xserver-share=false

in /etc/lightdm/lightdm.conf. I think that does it for the lightdm
issues.